<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku NumericData.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_numeric_data_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#define-members">Definicje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku NumericData.hpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicja klasy <a class="el" href="class_numeric_data.html" title="Wyświetla dane z czujnika odległości.">NumericData</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &lt;QLabel&gt;</code><br />
<code>#include &lt;QLineEdit&gt;</code><br />
<code>#include &lt;QLayout&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla NumericData.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="_numeric_data_8hpp__incl.png" border="0" usemap="#a_numeric_data_8hpp" alt=""/></div>
<map name="a_numeric_data_8hpp" id="a_numeric_data_8hpp">
<area shape="rect" title="Definicja klasy NumericData." alt="" coords="72,5,195,31"/>
<area shape="rect" title=" " alt="" coords="5,79,69,104"/>
<area shape="poly" title=" " alt="" coords="119,33,66,72,63,68,116,29"/>
<area shape="rect" title=" " alt="" coords="94,79,173,104"/>
<area shape="poly" title=" " alt="" coords="136,31,136,65,131,65,131,31"/>
<area shape="rect" title=" " alt="" coords="197,79,267,104"/>
<area shape="poly" title=" " alt="" coords="151,29,206,68,203,73,148,33"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="_numeric_data_8hpp__dep__incl.png" border="0" usemap="#a_numeric_data_8hppdep" alt=""/></div>
<map name="a_numeric_data_8hppdep" id="a_numeric_data_8hppdep">
<area shape="rect" title="Definicja klasy NumericData." alt="" coords="147,5,270,31"/>
<area shape="rect" href="_distance_win_8hpp.html" title="Definicja klasy DistanceWin." alt="" coords="77,79,196,104"/>
<area shape="poly" title=" " alt="" coords="189,43,150,80,146,77,185,39"/>
<area shape="rect" href="_numeric_data_8cpp.html" title="Definicje metod klasy NumericData." alt="" coords="221,79,343,104"/>
<area shape="poly" title=" " alt="" coords="232,38,272,77,268,80,229,42"/>
<area shape="rect" href="_distance_win_8cpp.html" title="Definicje metod klasy DistanceWin." alt="" coords="5,152,124,177"/>
<area shape="poly" title=" " alt="" coords="117,116,78,154,74,150,113,112"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="149,152,269,177"/>
<area shape="poly" title=" " alt="" coords="160,112,199,150,195,154,157,116"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="87,225,207,251"/>
<area shape="poly" title=" " alt="" coords="192,190,159,227,155,223,188,186"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="231,225,306,251"/>
<area shape="poly" title=" " alt="" coords="229,186,261,223,257,227,225,190"/>
</map>
</div>
</div>
<p><a href="_numeric_data_8hpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_numeric_data.html">NumericData</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wyświetla dane z czujnika odległości.  <a href="class_numeric_data.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Definicje</h2></td></tr>
<tr class="memitem:a4a870710e36ec2b3a1c414e1261a5f6b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_numeric_data_8hpp.html#a4a870710e36ec2b3a1c414e1261a5f6b">TEXT_LIMIT</a>&#160;&#160;&#160;10</td></tr>
<tr class="separator:a4a870710e36ec2b3a1c414e1261a5f6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Plik zawiera definicję klasy <a class="el" href="class_numeric_data.html" title="Wyświetla dane z czujnika odległości.">NumericData</a>, która odpowiada za wyświetlanie danych z czujnika odległości. </p>

<p class="definition">Definicja w pliku <a class="el" href="_numeric_data_8hpp_source.html">NumericData.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja definicji</h2>
<a id="a4a870710e36ec2b3a1c414e1261a5f6b" name="a4a870710e36ec2b3a1c414e1261a5f6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a870710e36ec2b3a1c414e1261a5f6b">&#9670;&#160;</a></span>TEXT_LIMIT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TEXT_LIMIT&#160;&#160;&#160;10</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_numeric_data_8hpp_source.html#l00017">17</a> pliku <a class="el" href="_numeric_data_8hpp_source.html">NumericData.hpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_numeric_data_8hpp.html">NumericData.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
